// ResourceBrowserDoc.h : interface of the CResourceBrowserDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_RESOURCEBROWSERDOC_H__E06FEA8B_73FA_4ECA_B4CF_81D3E868952F__INCLUDED_)
#define AFX_RESOURCEBROWSERDOC_H__E06FEA8B_73FA_4ECA_B4CF_81D3E868952F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include"FileNode.h"

class CResourceBrowserDoc : public CDocument
{
protected: // create from serialization only
	CResourceBrowserDoc();
	DECLARE_DYNCREATE(CResourceBrowserDoc)

// Attributes
public:
	CString m_CurPath;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CResourceBrowserDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CResourceBrowserDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CResourceBrowserDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RESOURCEBROWSERDOC_H__E06FEA8B_73FA_4ECA_B4CF_81D3E868952F__INCLUDED_)
